Problemas na instalação ieducar

Este é o instalador do i-Educar antigo conforme diz este respositório:

Use a versão mais recente. Pra saber como instalar siga os passos do README aqui:

Ja tentei de todas as formas mais sempre em algum momento da erro. Vc teria algum passo a passo atualizado ?

DE TODAS AS FORMA DA ERRO QUER SEJA NO LINUX QUER SEJA NO WINDOWS.

POR FAVOR ALGUEM PODE ME AJUDAR COM UM PASSO A PASSO QUE FUNCIONE SEM ERROS OU ATÉ MESMO UM VÍDEO MOSTRANDO PASSO A PASSO

Microsoft Windows [versão 10.0.17134.407]

© 2018 Microsoft Corporation. Todos os direitos reservados.

C:\Users\miran\OneDrive\Documentos\GitHub\ieducar\i-educar\ieducar\i-educar\i-educar>docker-compose up -d --build

ERROR: Windows named pipe error: O sistema não pode encontrar o arquivo especificado. (code: 2)

Atenciosamente,

Eduardo Miranda


Livre de vírus. www.avast.com.

Eduardo, eu tentei no windows e tambem nao deu certo, estou montando uma vm do linux para poder fazer o procedimento via linux, acredito que será mais tranquilo. se quiser lhe envio como estou fazendo no linux. Para desenvolvimento estou pensando em usar o sublime text.

Quero sim amigão. Embora seja virtual e vejo complicação pra inserir dados e compartilhar nos computadores.
Nao entendo pq nao da pra fazer um tutorial pra instalaçao no Linux e no Windows. Sempre seja em.qualquer tutorial nao da certo.

Consegui abrir o linux Lubuntu instalei o xamp, o composer, o git, e no comando docker-compose up -d --build simplesmente trava no ultimo trabalho e fica parado, nao consegui continuar o processo.
root@usuario-pc:/home/usuario/i-educar# docker-compose up -d --build
Building php
Step 1/38 : FROM php:7.2-fpm
7.2-fpm: Pulling from library/php
27833a3ba0a5: Already exists
2d79f6773a3c: Already exists
f5dd9a448b82: Already exists
95719e57e42b: Already exists
cb5f6ddf5d9a: Pull complete
b0bc56502884: Pull complete
] 500B/500BBiting
travou aqui.
alguem com alguma sugestão

Eduardo, eu consegui fazer a instalação no linux lubuntu, deu certo.
o processo realmente não é simples e o manual de instalação no readme está incompleto, ele so fala por cima como fazer o processo, falta partes importantes que se nao for feito em sequencia nao funciona.
=abri sites

https://forum.ieducar.org/

=abrir terminal console

sudo su

senha(do root)

apt-get update

apt-get install aptitude

apt-get install docker

apt-get install docker-compose

add-apt-repository ppa:git-core/ppa

apt-get update

apt-get install git

git clone https://github.com/portabilis/i-educar.git && cd i-educar

docker-compose up -d --build (processo demora um pouco, ate 30minutos depende da conexao internet)

docker-compose exec php composer new-install (15minutos depende da conexao)

docker-compose port nginx 80

= apos este procedimento abra o navegador de internet e digite o endereço que aparecer e vai entrar na tela de login do ieducar.
= o usuario é admin e a senha e 123456789

= espero ter ajudado.
(tenho o windows 10 instalado, instalei o virtual box e virtualizei uma imagem do linux lubuntu, ficou bem leve a instalação e ta rodando certinho, ta com 2gb ram e 20gb rom.
= agora vou atualizar a versão do i-educar, pq pelo que vi, estes comando coloca a versão antiga dele. vou estudar mais um pouco e depois posto novos resultados.
bom trabalho.

1 Curtida

Pois vou testar. Muito obrigado amigão.
Se poder me adicionar no wats pra gente trocar informaçao e uma boa

88 9 97094103

apos instalado e feito o primeiro acesso, como faço para depois que reiniciar o computador, instanciar novamente o sistema, nao estou conseguindo fazer isso, poderia me ajudar?
Desde ja obrigado

iniciar a aplicação ao reinicar o computador

entrar como super usuario no console

digitar

docker ps -a (verificar quais containers estao parados)

docker start …nome do container (para iniciar o container, um por um)

docker ps -a (verificar se todos os containers estao ativos em Up)

pegar o endereço do container nginx e colar no navegador, pronto aplicação reiniciada.

1 Curtida

boa tarde
seguir o passo a passo
que você colocou, quando chega na parte "docker-compose up -d --build " esta dando erro.
"ERROR: Version in “./docker-compose.yml” is unsupported. You might be seeing this error because you’re using the wrong Compose file version. Either specify a version of “2” (or “2.0”) and place your service definitions under the services key, or omit the version key and place your service definitions at the root of the file to use version 1.
For more on the Compose file format versions, see https://docs.docker.com/compose/compose-file/

você instalou o docker-compose pelo instalador do site ou pela linha de comando.?
voce esta tentando atualizar o sistema ou instalar o base que esta no site.?

Boa noite @semed-AL, você está tentando fazer o clone do i-educar em uma pasta que já tem conteúdo, veja o retorno do comando git clone que está em seu terminal, você pode contornar esse erro deletando a pasta i-educar ou removendo conteúdo que tem dentro dela.
Também tem um segundo erro, você precisa acessar a pasta i-educar para rodar o comando docker-compose …

Bom dia
Grato pela atenção de todos.
não conseguir instalar no Ubuntu 16.
conseguir instalar no ubuntu18 .

Eu cadastrei a rede de ensino no i-educar.
cadastro>tipos>escola>tipos de rede de ensino > escola rede ensino -listagem>novo.

quando vou cadastrar uma escola a rede de ensino não aparece ais opções.


é algum erro?

Aqui me encontro com o mesmo erro do @semed-AL: " docker-compose up -d --build " esta dando erro.
“ERROR: Version in “./docker-compose.yml” is unsupported. You might be seeing this error because you’re using the wrong Compose file version. Either specify a version of “2” (or “2.0”) and place your service definitions under the services key, or omit the version key and place your service definitions at the root of the file to use version 1”.
pesquisei em alguns fóruns e encontrei algumas pessoas dizendo que se devia atualizar o docker-compose (ex. do comando: sudo curl -L “https://github.com/docker/compose/releases/download/1.24.0/docker-compose-(uname -s)-(uname -m)” -o /usr/local/bin/docker-compose)


mas o primeiro erro permanece do mesmo jeito mesmo executando o código de novo.
Realizei os procedimentos de instalação via linha de comando seguindo os passos do @thalles.
Versão do docker : 18.09.2
Versão do docker-compose: 1.8.0
Será que a solução é usar o Ubuntu 18 como o @semed-AL disse que resolveu o problema dele, pois estou usando o Ubuntu 16 atualmente.
Alguém teria alguma sugestão?

boa noite
como eu faço para instalar os relatórios no i-educar?
sem o docker.
grato.

boa noite
como eu faço para instalar os relatorios no i-educar?
ja procurei e sempre da erro no final e no sudo composer new-install.

Galera,

Quando houver dúvidas novas, favor abrir um tópico novo. As respostas aqui estão se acumulando e perguntas estão sendo feito em cima de outras perguntas e fica difícil de organizar o conteúdo.

Agradeço!